> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Brief

> Public endpoint: generate structured brief versions from casual input.

Rate-limited to 10 calls/hour per IP (unauthenticated).



## OpenAPI

````yaml /openapi.json post /api/v1/brief/generate
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brief/generate:
    post:
      tags:
        - Public
      summary: Generate Brief
      description: |-
        Public endpoint: generate structured brief versions from casual input.

        Rate-limited to 10 calls/hour per IP (unauthenticated).
      operationId: generate_brief_api_v1_brief_generate_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BriefGenerateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BriefGenerateRequest:
      properties:
        category:
          type: string
          title: Category
        task_type:
          type: string
          title: Task Type
        prompt:
          type: string
          maxLength: 10000
          minLength: 5
          title: Prompt
        conversation_history:
          anyOf:
            - items:
                $ref: '#/components/schemas/ConversationMessage'
              type: array
            - type: 'null'
          title: Conversation History
        file_descriptions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: File Descriptions
        num_versions:
          type: integer
          maximum: 5
          minimum: 1
          title: Num Versions
          default: 2
      type: object
      required:
        - category
        - task_type
        - prompt
      title: BriefGenerateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConversationMessage:
      properties:
        role:
          type: string
          pattern: ^(user|assistant)$
          title: Role
        content:
          type: string
          maxLength: 10000
          minLength: 1
          title: Content
      type: object
      required:
        - role
        - content
      title: ConversationMessage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````